PHP Manual
Prev |  | Next

# apache_lookup_uri

apache_lookup_uri -- Perform a partial request for the specified URI and return all info about it

## Description

`class apache_lookup_uri`(string filename);

This performs a partial request for a URI. It goes just far enough to obtain all the important information about the given resource and returns this information in a class. The properties of the returned class are:

status
the_request
status_line
method
content_type
handler
uri
filename
path_info
args
boundary
no_cache
no_local_copy
allowed
send_bodyct
bytes_sent
byterange
clength
unparsed_uri
mtime
request_time

> Note: Note: apache_lookup_uri only works when PHP is installed as an Apache module

Prev | Home | Next
Apache-specific functions | Up | apache_note